#include "binio-internal.h"

/*
 * all sizes are in bytes (which may be different from chars)
 *
 */

unsigned int const BINIO_float_sizes[][2] = {
	/* { mantissa, exponent } */
	{ 1, 1 },	/* hh */
	{ 3, 1 },	/* h */
	{ 6, 2 },
	{ 6, 2 },	/* l */
	{ 13, 3 },	/* ll, L */
	{ 13, 3 },	/* z */
	{ 13, 3 },	/* t */
	{ 13, 3 }	/* j */
};

unsigned int const BINIO_integer_sizes[] = {
	1,	/* hh */
	2,	/* h */
	4,
	8,	/* l */
	8,	/* ll, L */
	8,	/* z */
	8,	/* t */
	16	/* j */
};
